Organization
Provision a workspace
POST
Creates a tenant workspace and, when asked, its first API key. The key's plaintext is in this response and nowhere else.
Requires the workspaces:provision scope.
OrganizationApiKeyheader
Authorization<token>Api-Key mco_... — an organization management key.
idempotency-key*stringapplication/json- body
name*stringLength
length <= 200type?stringValue in
"production""sandbox"postalAddress?|nullattestContactConsent?booleanicon?|Match
^[a-z0-9-]{1,32}$color?|Match
^[a-z0-9-]{1,32}$initialKeyScopes?array<>Items
1 <= itemsinitialKeyName?stringLength
length <= 100initialKeyExpiresAt?stringapplication/json- response
workspace*initialApiKey*string|nullinitialApiKeyDetails*replayed*booleancurl -X POST 'https://api.mailcrate.io/public/organization/workspaces' \ -H 'Authorization: Api-Key <api_key>' \ -H 'idempotency-key: string' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "workspace": { "id": "string", "name": "string", "type": "production", "sendingStatus": "active", "sendingPausedReason": "bounce-rate", "sendingPausedAt": "string", "postalAddress": {}, "icon": "string", "color": "string", "created": "string" }, "initialApiKey": "string", "initialApiKeyDetails": { "id": "string", "name": "string", "keyPrefix": "string", "scopes": [ "campaign:read" ], "expiresAt": "string", "lastUsedAt": "string", "created": "string" }, "replayed": true}